[PC-BSD Commits] r1071 - pbibuild/modules/kompozer/overlay-dir

svn at pcbsd.org svn at pcbsd.org
Thu Dec 27 12:41:10 PST 2007


Author: kris
Date: 2007-12-27 12:41:10 -0800 (Thu, 27 Dec 2007)
New Revision: 1071

Modified:
   pbibuild/modules/kompozer/overlay-dir/PBI.RemoveScript.sh
Log:

Have Kompozer remove user profiles if needed



Modified: pbibuild/modules/kompozer/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/kompozer/overlay-dir/PBI.RemoveScript.sh	2007-12-27 20:12:50 UTC (rev 1070)
+++ pbibuild/modules/kompozer/overlay-dir/PBI.RemoveScript.sh	2007-12-27 20:41:10 UTC (rev 1071)
@@ -13,3 +13,19 @@
 rm -fR /usr/local/lib/kompozer
 rm -fR /usr/local/libdata/pkgconfig/kompozer*
 rm -fR /usr/local/share/idl/kompozer
+
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Kompozer user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+  cd /home
+  for i in `ls`
+  do
+   if [ -e "/home/${i}/.kompozer" ]
+   then
+    rm -rf /home/${i}/.kompozer
+   fi
+  done
+fi



More information about the Commits mailing list